DPROF2CALLTREE(1)

NAME
dprof2calltree - convert perl's DProf profiling data to KCachegrind calltree format

SYNOPSIS
dprof2calltree -f input [ -o output ]

DESCRIPTION
dprof2calltree reads the tmon.out profiling data output by Perl's Devel::DProf profiling package, and converts it into calltree format for use by KCachegrind.

This utility is part of the TDE Software Development Kit.

OPTIONS

-f input
    Specifies the DProf tmon.out file to convert.

-o output
    Write the calltree output to the given file for use by KCachegrind. If omitted, the output will be written to file of the form cachgrind.out.<input>.

EXAMPLE
If you run a perl script as:

    perl -d:DProf yourscript.pl

then this will write profiling data to tmon.out. You can then work with this data in KCachegrind as follows:

    dprof2calltree -f tmin.out -o cachegrind.out.foo
    tdecachegrind cachegrind.out.foo

SEE ALSO
tdecachegrind(1).

AUTHOR
This converter was written by George Schlossnagle <george@omniti.com>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).